Class TextSearcher
java.lang.Object
com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
com.atlassian.jira.issue.customfields.searchers.TextSearcher
- All Implemented Interfaces:
CustomFieldSearcher,NaturallyOrderedCustomFieldSearcher,IssueSearcher<CustomField>
@PublicSpi
@PublicApi
public class TextSearcher
extends AbstractInitializationCustomFieldSearcher
implements CustomFieldSearcher, NaturallyOrderedCustomFieldSearcher
A free-text custom field searcher
-
Field Summary
Fields inherited from interface com.atlassian.jira.issue.search.searchers.IssueSearcher
log -
Constructor Summary
ConstructorsConstructorDescriptionTextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper) TextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, IndexingFeatures indexingFeatures) -
Method Summary
Modifier and TypeMethodDescriptionProvides an object that can be used to handle the clauses that this searcher generates.Provides an object that contains information about the Searcher.Provides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.Provides an object that will allow you to render the edit and view html for a searcher.getSortField(CustomField customField) Return the name of the field to use for ordering.voidinit(CustomField field) This is the first time the searcher knows what its ID and names areMethods inherited from class com.atlassian.jira.issue.customfields.searchers.AbstractInitializationCustomFieldSearcher
getDescriptor, initMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface com.atlassian.jira.issue.customfields.CustomFieldSearcher
getDescriptor, init
-
Constructor Details
-
TextSearcher
public TextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper) -
TextSearcher
public TextSearcher(FieldVisibilityManager fieldVisibilityManager, JqlOperandResolver jqlOperandResolver, CustomFieldInputHelper customFieldInputHelper, IndexingFeatures indexingFeatures)
-
-
Method Details
-
init
This is the first time the searcher knows what its ID and names are- Specified by:
initin interfaceIssueSearcher<CustomField>- Parameters:
field- the Custom Field for this searcher
-
getSearchInformation
Description copied from interface:IssueSearcherProvides an object that contains information about the Searcher.- Specified by:
getSearchInformationin interfaceIssueSearcher<CustomField>- Returns:
- the search information provider for this searcher.
-
getSearchInputTransformer
Description copied from interface:IssueSearcherProvides an object that will allow you to transform raw request parameters to field holder values and field holder values toClausesearch representations.- Specified by:
getSearchInputTransformerin interfaceIssueSearcher<CustomField>- Returns:
- the search input handler for this searcher.
-
getSearchRenderer
Description copied from interface:IssueSearcherProvides an object that will allow you to render the edit and view html for a searcher. This also provides methods that indicate if the view and edit methods should be invoked.- Specified by:
getSearchRendererin interfaceIssueSearcher<CustomField>- Returns:
- the search renderer for this searcher.
-
getCustomFieldSearcherClauseHandler
Description copied from interface:CustomFieldSearcherProvides an object that can be used to handle the clauses that this searcher generates.- Specified by:
getCustomFieldSearcherClauseHandlerin interfaceCustomFieldSearcher- Returns:
- an object that can be used to handle the clauses that this searcher generates, can be null.
-
getSortField
Description copied from interface:NaturallyOrderedCustomFieldSearcherReturn the name of the field to use for ordering. This will normally be just the field, .i.e customField.getId() but some searchers, e.g. TextSearcher, store additional fields to support sorting.- Specified by:
getSortFieldin interfaceNaturallyOrderedCustomFieldSearcher- Parameters:
customField- The custom field to be searched- Returns:
- The field name to use for ordering.
-